Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
String Class Reference

`#include <gtest-string.h>`

## Public Member Functions
| String ()
| String (const char *a_c_str)
| String (const char *buffer, size_t a_length)
| String (const String &str)
| ~String ()
| String (const ::std::string &str)
| operator::std::string () const
bool | empty () const
int | Compare (const String &rhs) const
bool | operator== (const char *a_c_str) const
bool | operator< (const String &rhs) const
bool | operator!= (const char *a_c_str) const
bool | EndsWith (const char *suffix) const
bool | EndsWithCaseInsensitive (const char *suffix) const
size_t | length () const
const char * | c_str () const
const String & | operator= (const char *a_c_str)
const String & | operator= (const String &rhs)
| String ()
| String (const char *a_c_str)
| String (const char *buffer, size_t a_length)
| String (const String &str)
| ~String ()
| String (const ::std::string &str)
| operator::std::string () const
bool | empty () const
int | Compare (const String &rhs) const
bool | operator== (const char *a_c_str) const
bool | operator< (const String &rhs) const
bool | operator!= (const char *a_c_str) const
bool | EndsWith (const char *suffix) const
bool | EndsWithCaseInsensitive (const char *suffix) const
size_t | length () const
const char * | c_str () const
const String & | operator= (const char *a_c_str)
const String & | operator= (const String &rhs)
| String ()
| String (const char *a_c_str)
| String (const char *buffer, size_t a_length)
| String (const String &str)
| ~String ()
| String (const ::std::string &str)
| operator::std::string () const
bool | empty () const
int | Compare (const String &rhs) const
bool | operator== (const char *a_c_str) const
bool | operator< (const String &rhs) const
bool | operator!= (const char *a_c_str) const
bool | EndsWith (const char *suffix) const
bool | EndsWithCaseInsensitive (const char *suffix) const
size_t | length () const
const char * | c_str () const
const String & | operator= (const char *a_c_str)
const String & | operator= (const String &rhs)

## Static Public Member Functions
static String | ShowCStringQuoted (const char *c_str)
static const char * | CloneCString (const char *c_str)
static bool | CStringEquals (const char *lhs, const char *rhs)
static String | ShowWideCString (const wchar_t *wide_c_str)
static String | ShowWideCStringQuoted (const wchar_t *wide_c_str)
static bool | WideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static bool | CaseInsensitiveCStringEquals (const char *lhs, const char *rhs)
static bool | CaseInsensitiveWideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static String | Format (const char *format,...)
static String | ShowCStringQuoted (const char *c_str)
static const char * | CloneCString (const char *c_str)
static bool | CStringEquals (const char *lhs, const char *rhs)
static String | ShowWideCString (const wchar_t *wide_c_str)
static String | ShowWideCStringQuoted (const wchar_t *wide_c_str)
static bool | WideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static bool | CaseInsensitiveCStringEquals (const char *lhs, const char *rhs)
static bool | CaseInsensitiveWideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static String | Format (const char *format,...)
static String | ShowCStringQuoted (const char *c_str)
static const char * | CloneCString (const char *c_str)
static bool | CStringEquals (const char *lhs, const char *rhs)
static String | ShowWideCString (const wchar_t *wide_c_str)
static String | ShowWideCStringQuoted (const wchar_t *wide_c_str)
static bool | WideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static bool | CaseInsensitiveCStringEquals (const char *lhs, const char *rhs)
static bool | CaseInsensitiveWideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static String | Format (const char *format,...)

## Constructor & Destructor Documentation

String | ( |  | ) |
| inline

String | ( | const char * | a_c_str | ) |
| inline

String | ( | const char * | buffer,
|  | size_t | a_length
| ) |  |
| inline

String | ( | const String & | str | ) |
| inline

~String | ( |  | ) |
| inline

String | ( | const ::std::string & | str | ) |
| inline

String | ( |  | ) |
| inline

String | ( | const char * | a_c_str | ) |
| inline

String | ( | const char * | buffer,
|  | size_t | a_length
| ) |  |
| inline

String | ( | const String & | str | ) |
| inline

~String | ( |  | ) |
| inline

String | ( | const ::std::string & | str | ) |
| inline

String | ( |  | ) |
| inline

String | ( | const char * | a_c_str | ) |
| inline

String | ( | const char * | buffer,
|  | size_t | a_length
| ) |  |
| inline

String | ( | const String & | str | ) |
| inline

~String | ( |  | ) |
| inline

String | ( | const ::std::string & | str | ) |
| inline

## Member Function Documentation

const char* c_str | ( |  | ) | const
| inline

const char* c_str | ( |  | ) | const
| inline

const char* c_str | ( |  | ) | const
| inline

bool CaseInsensitiveCStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

static bool CaseInsensitiveCStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

static bool CaseInsensitiveCStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

bool CaseInsensitiveWideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

static bool CaseInsensitiveWideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

static bool CaseInsensitiveWideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

static const char* CloneCString | ( | const char * | c_str | ) |
| static

const char * CloneCString | ( | const char * | c_str | ) |
| static

static const char* CloneCString | ( | const char * | c_str | ) |
| static

int Compare | ( | const String & | rhs | ) | const

int Compare | ( | const String & | rhs | ) | const

int Compare | ( | const String & | rhs | ) | const

static bool CStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

bool CStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

static bool CStringEquals | ( | const char * | lhs,
|  | const char * | rhs
| ) |  |
| static

bool empty | ( |  | ) | const
| inline

bool empty | ( |  | ) | const
| inline

bool empty | ( |  | ) | const
| inline

bool EndsWith | ( | const char * | suffix | ) | const

bool EndsWith | ( | const char * | suffix | ) | const

bool EndsWith | ( | const char * | suffix | ) | const

bool EndsWithCaseInsensitive | ( | const char * | suffix | ) | const

bool EndsWithCaseInsensitive | ( | const char * | suffix | ) | const

bool EndsWithCaseInsensitive | ( | const char * | suffix | ) | const

String Format | ( | const char * | format,
|  |  | ...
| ) |  |
| static

static String Format | ( | const char * | format,
|  |  | ...
| ) |  |
| static

static String Format | ( | const char * | format,
|  |  | ...
| ) |  |
| static

size_t length | ( |  | ) | const
| inline

size_t length | ( |  | ) | const
| inline

size_t length | ( |  | ) | const
| inline

bool operator!= | ( | const char * | a_c_str | ) | const
| inline

bool operator!= | ( | const char * | a_c_str | ) | const
| inline

bool operator!= | ( | const char * | a_c_str | ) | const
| inline

operator::std::string | ( |  | ) | const
| inline

operator::std::string | ( |  | ) | const
| inline

operator::std::string | ( |  | ) | const
| inline

bool operator< | ( | const String & | rhs | ) | const
| inline

bool operator< | ( | const String & | rhs | ) | const
| inline

bool operator< | ( | const String & | rhs | ) | const
| inline

const String& operator= | ( | const char * | a_c_str | ) |
| inline

const String& operator= | ( | const char * | a_c_str | ) |
| inline

const String& operator= | ( | const String & | rhs | ) |
| inline

const String& operator= | ( | const String & | rhs | ) |
| inline

const String& operator= | ( | const char * | a_c_str | ) |
| inline

const String& operator= | ( | const String & | rhs | ) |
| inline

bool operator== | ( | const char * | a_c_str | ) | const
| inline

bool operator== | ( | const char * | a_c_str | ) | const
| inline

bool operator== | ( | const char * | a_c_str | ) | const
| inline

String ShowCStringQuoted | ( | const char * | c_str | ) |
| static

static String ShowCStringQuoted | ( | const char * | c_str | ) |
| static

static String ShowCStringQuoted | ( | const char * | c_str | ) |
| static

String ShowWideCString | ( | const wchar_t * | wide_c_str | ) |
| static

static String ShowWideCString | ( | const wchar_t * | wide_c_str | ) |
| static

static String ShowWideCString | ( | const wchar_t * | wide_c_str | ) |
| static

static String ShowWideCStringQuoted | ( | const wchar_t * | wide_c_str | ) |
| static

String ShowWideCStringQuoted | ( | const wchar_t * | wide_c_str | ) |
| static

static String ShowWideCStringQuoted | ( | const wchar_t * | wide_c_str | ) |
| static

bool WideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

static bool WideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

static bool WideCStringEquals | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) |  |
| static

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-string.h
- testing/googleTest/fused-src/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc